org.wildfly.swarm.config.elytron

## Class ServiceLoaderSASLServerFactory<T extends ServiceLoaderSASLServerFactory<T>>

- java.lang.Object
- - org.wildfly.swarm.config.elytron.ServiceLoaderSASLServerFactory<T>

-     public class ServiceLoaderSASLServerFactory<T extends ServiceLoaderSASLServerFactory<T>>
      extends Object

  A sasl server factory definition where the sasl server factory is an aggregation of factories identified using a ServiceLoader

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServiceLoaderSASLServerFactory(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `T` | `availableMechanism(String value)` The SASL mechanisms available from this factory after all filtering has been applied.
    `List<String>` | `availableMechanisms()` The SASL mechanisms available from this factory after all filtering has been applied.
    `T` | `availableMechanisms(List<String> value)` The SASL mechanisms available from this factory after all filtering has been applied.
    `T` | `availableMechanisms(String... args)` The SASL mechanisms available from this factory after all filtering has been applied.
    `String` | `getKey()`
    `String` | `module()` The module to use to obtain the classloader to load the factories, if not specified the classloader to load the resource will be used instead.
    `T` | `module(String value)` The module to use to obtain the classloader to load the factories, if not specified the classloader to load the resource will be used instead.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServiceLoaderSASLServerFactory

          public ServiceLoaderSASLServerFactory(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### availableMechanisms

          public List<String> availableMechanisms()

      The SASL mechanisms available from this factory after all filtering has been applied.

    - #### availableMechanisms

          public T availableMechanisms(List<String> value)

      The SASL mechanisms available from this factory after all filtering has been applied.

    - #### availableMechanism

          public T availableMechanism(String value)

      The SASL mechanisms available from this factory after all filtering has been applied.

    - #### availableMechanisms

          public T availableMechanisms(String... args)

      The SASL mechanisms available from this factory after all filtering has been applied.

    - #### module

          public String module()

      The module to use to obtain the classloader to load the factories, if not specified the classloader to load the resource will be used instead.

    - #### module

          public T module(String value)

      The module to use to obtain the classloader to load the factories, if not specified the classloader to load the resource will be used instead.

Copyright © 2017 JBoss by Red Hat. All rights reserved.